import MobileSalesRankingScrollList from "@src/components/mobile/SalesRankingScrollList";
import PCSalesRankingScrollList from "@src/components/pc/SalesRankingScrollList";
import { ISalesRanking } from "metarare";
import * as React from "react";

export interface ISalesRankingScrollListProps {}

export default function SalesRankingScrollList(props: ISalesRankingScrollListProps) {
  return (
    <>
      <div className={"mo_wrapper"}>
        <MobileSalesRankingScrollList list={dataRankingFake} />
      </div>
      <div className={"pc_wrapper"}>
        <PCSalesRankingScrollList list={dataRankingFake} />
      </div>
    </>
  );
}

export const dataRankingFake: ISalesRanking[] = [
  {
    id: 1,
    rank: 1,
    name: "John Doe",
    thumbnail_image: "https://picsum.photos/id/10/300/300",
    total_revenue: 100000,
  },
  {
    id: 2,
    rank: 2,
    name: "Kasper Henderson Kasper Henderson Kasper Henderson",
    thumbnail_image: "https://picsum.photos/id/11/300/300",
    total_revenue: 90000,
  },
  {
    id: 3,
    rank: 3,
    name: "Cooper Lynn",
    thumbnail_image: "https://picsum.photos/id/12/300/300",
    total_revenue: 80000,
  },
  {
    id: 4,
    rank: 4,
    name: "Iris Stein",
    thumbnail_image: "https://picsum.photos/id/13/300/300",
    total_revenue: 70000,
  },
  {
    id: 5,
    rank: 5,
    name: "Leland Richards",
    thumbnail_image: "https://picsum.photos/id/14/300/300",
    total_revenue: 60000,
  },
  {
    id: 6,
    rank: 6,
    name: "Octavia Norris",
    thumbnail_image: "https://picsum.photos/id/15/300/300",
    total_revenue: 50000,
  },
  {
    id: 7,
    rank: 7,
    name: "Leland Richards",
    thumbnail_image: "https://picsum.photos/id/16/300/300",
    total_revenue: 40000,
  },
  {
    id: 8,
    rank: 8,
    name: "Octavia Norris",
    thumbnail_image: "https://picsum.photos/id/17/300/300",
    total_revenue: 30000,
  },
  {
    id: 9,
    rank: 9,
    name: "Leland Richards",
    thumbnail_image: "https://picsum.photos/id/18/300/300",
    total_revenue: 20000,
  },
  {
    id: 10,
    rank: 10,
    name: "Octavia Norris",
    thumbnail_image: "https://picsum.photos/id/19/300/300",
    total_revenue: 10000,
  },
];
