import * as React from 'react';
import classNames from 'classnames/bind';
import styles from './Ranking.scss';
import RankingTable from '@src/components/common/RankingTable';
import { dataRankingFake } from '@src/containers/common/SalesRankingscrollList';

const cx = classNames.bind(styles);

export interface IRankingProps {
}

export default function Ranking (props: IRankingProps) {
  return (
    <div className={cx('ranking')}>
        <div className={cx('title')}>랭킹</div>
        <RankingTable data={dataRankingFake} />
    </div>
  );
}
